TR(1)

NAZWA
tr - zamienia lub usuwa znaki

SKŁADNIA
tr [OPCJA]... ŁAŃCUCH1 [ŁAŃCUCH2]

OPIS

Zamienia, kasuje powtórzone i/lub usuwa znaki ze standardowego wejścia, wypisując wynik na standardowe wyjście. ŁAŃCUCH1 i ŁAŃCUCH2 określają tablicę znaków TABLICA1 i TABLICA2, które kontrolują akcję.

-c, -C, --complement
    używa dopełnienia TABLICY1

-d, --delete
    usuwa znaki z TABLICY1, nie zamienia ich

-s, --squeeze-repeats
    zastępuje każdą sekwencję powtórzonego znaku określonego w ostatniej podanej TABLICY, pojedynczym wystąpieniem tego znaku

-t, --truncate-set1
    najpierw przycina TABLICĘ1 do długości TABLICY2

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

TABLICE składają się z podanych łańcuchów znaków. Większość znaków reprezentuje siebie. Interpretowane są następujące sekwencje:

\NNN
    znak o wartości ósemkowej NNN (1 do 3 cyfr ósemkowych)

\\  odwrotny ukośnik (backslash)

\a  dzwonek, alarm (BEL)

\b  backspace

\f  znak wysuwu strony (form feed)

\n  znak nowego wiersza (new line)

\r  powrót karetki

\t  tabulacja pozioma (horizontal tab)

\v  tabulacja pionowa (vertical tab)

ZNAK1-ZNAK2
    wszystkie znaki od ZNAKU1 do ZNAKU2 w kolejności rosnącej

[ZNAK*]
    w TABLICY2 kopiuje ZNAK, dopóki nie osiągnie długości TABLICY1

[ZNAK*LICZBA-POWTÓRZEŃ]
    kopiuje ZNAK LICZBĘ-POWTÓRZEŃ razy (w notacji ósemkowej, licząc od zera)

[:alnum:]
    wszystkie litery i cyfry

[:alpha:]
    wszystkie litery

[:blank:]
    wszystkie odstępy poziome (tzw. białe znaki)

[:cntrl:]
    wszystkie znaki sterujące

[:digit:]
    wszystkie cyfry

[:graph:]
    wszystkie znaki drukowalne, z wyłączeniem spacji

[:lower:]
    wszystkie małe litery

[:print:]
    wszystkie znaki drukowalne, łącznie ze spacją

[:punct:]
    wszystkie znaki interpunkcyjne

[:space:]
    wszystkie odstępy poziome lub pionowe (tzw. białe znaki)

[:upper:]
    wszystkie wielkie litery

[:xdigit:]
    wszystkie cyfry szesnastkowe

[=ZNAK=]
    wszystkie znaki, które są równoważne ZNAKOWI

Do zamiany dochodzi, gdy nie podano opcji -d, natomiast podano zarówno ŁAŃCUCH1 oraz ŁAŃCUCH2. Opcja -t ma znaczenie tylko przy zamianie. TABLICA2 jest uzupełniana do długości TABLICY1, przez powtarzanie ostatniego jego znaku, aż do osiągnięcia wymaganej długości. Nadmiarowe znaki TABLICY2 są ignorowane. Klasy znaków są rozwijane w nieokreślonej kolejności; przy zamianie, [:lower:] i [:upper:] mogą być używane w parach, do przeprowadzenia zamiany wielkości znaków. Opcja -s jest stosowana już po zamianie lub usuwaniu.

USTERKI

Pełna obsługa jest dostępna tylko dla bezpiecznych, jednobajtowych locale, w których każdy możliwy bajt wejściowy reprezentuje pojedynczy znak. Locale C jest bezpieczne w systemach GNU, tak więc można uniknąć wspomnianego problemu uruchamiając polecenie w powłoce jako LC_ALL=C tr zamiast samego tr.

AUTOR
Napisane przez Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/tr>
lub lokalnie, za pomocą info '(coreutils) tr invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.